<label id="{{ id }}" class="mdc-text-field mdc-text-field--filled" style="width: 100%">
    <span class="mdc-text-field__ripple"></span>
    <span class="mdc-floating-label" id="{{ labelId }}">{{ label }}</span>
    <input class="mdc-text-field__input" type="{{ type }}" name="{{ name }}" value="{{ value }}" aria-labelledby="{{ labelId }}"{% if disabled == true %} disabled{% endif %}{% if required == true %} required{% endif %} {% if readonly is defined and readonly == true %} readonly{% endif %}>
    <i id="{{ id }}_text_field_icon" class="material-icons mdc-text-field__icon mdc-text-field__icon--trailing" tabindex="0" role="button">{{ icon }}</i>
    <span class="mdc-line-ripple"></span>
</label>
